{% set menu = 'orders' %}
{% extends "admin/base.twig" %}

{% block title %}Orders - {{ parent() }}{% endblock %}

{% block content %}
    <h2>Orders</h2>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Status</th>
                    <th>Price (€)</th>
                    <th>Created At</th>
                </tr>
            </thead>
            <tbody>
                {% for order in orders %}
                    <tr>
                        <td>{{ order.id }}</td>
                        <td>{{ order.firstname }}</td>
                        <td>{{ order.lastname }}</td>
                        <td>{{ order.email }}</td>
                        <td>{{ order.status }}</td>
                        <td>{{ order.price }}</td>
                        <td>{{ order.createdAt|date("m/d/Y H:i:s") }}</td>
                        <td>
                            {% if order.status == "confirmed" %}
                                <button class="btn btn-info refundButton" data-transaction="{{ order.transaction }}">Refund</button>
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
        {% if orders|length == 0 %}
            <h3>No order 💸😰</h3>
        {% endif %}
    </div>
{% endblock %}

{% block js %}
    <script src="/static/js/refund.js"></script>
{% endblock %}